#pragma once
#include "AccDlg.h"
#include "setting_struct.h"
#include "../nsmsgs/PPage.h"

class CAccPage :
	public CPPage
{
private:
	AccountList * const m_plist;

public:
	CAccPage(AccountList &al);
	~CAccPage(void);

private:
	CAccPage& operator =(CAccPage& /*other*/)
	{ _ASSERT(FALSE); return *this; }

	void OnListDblClick(NMITEMACTIVATE* pNMIA);
	void OnClickAdd();
	void OnClickSetting();
	void OnClickDel();

	bool AccountExists(LPCSTR acc, AccSetting *ac=NULL);
	int GetCurSelect();
	void EditAccSetting(int i);
	void UpdateList();
	void CreateInfoStr(std::string &out, const AccSetting *as);
	void CreateChStr(std::string &out, const ConChList &ccl);

// I[o[Ch
private:
	BOOL DlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam);
	BOOL InitDlgCtrl();
//	BOOL GetDlgCtrlValue();
};
