#include "StdAfx.h"
#include "resource.h"
#include ".\chdlg.h"

CChDlg::CChDlg(void)
: CDlg(IDD_CH_ADD)
{
}

CChDlg::~CChDlg(void)
{
}

//******************************************************************
// 
//******************************************************************

BOOL CChDlg::DlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam)
{
	if( (uMsg == WM_COMMAND)
		&& (wParam == MAKEWPARAM(IDC_CHANNEL, EN_CHANGE)) )
	{
		SetEnable(IDOK, ::GetWindowTextLength((HWND)lParam) != 0);
		return TRUE;
	}
	return FALSE;
}

BOOL CChDlg::GetDlgCtrlValue()
{
	GetItemText(IDC_CHANNEL, m_ch);
	m_bAutoJoin = GetCheck(IDC_AUTO_JOIN);

	return m_ch.length() > 0;
}

//******************************************************************
// 
//******************************************************************

