#pragma once
#include <string>
#include <vector>

/*
struct AccSetting{
	unsigned short port;
	std::string host;
	std::string nick;
};
*/

struct ConChannel
{
	std::string name;
	bool bAutoJoin;
};

typedef std::vector<ConChannel*> ConChList;

struct AccSetting
{
	std::string acc;
	std::string host;
	std::string pass;
	std::string nick;
	unsigned short port;
	ConChList chs;

	void DeleteConChList()
	{
		int size = chs.size();
		for( int i = 0; i < size; ++i )
			delete chs[i];
	}
};

typedef std::vector<AccSetting*> AccountList;

struct CommonSettings
{
	bool b;
};
