#pragma once
#include <string>
#include "ChDlg.h"
#include "setting_struct.h"
#include "../nsmsgs/dlg.h"

class CAccDlg :
	public CDlg
{
private:
	AccSetting m_set;
	ConChList m_deleted;
	ConChList m_created;
	bool m_bCanceled;

public:
	CAccDlg(void);
	~CAccDlg(void);

	void SetAccSetting(AccSetting &set)
	{ m_set = set; }
	void GetAccSetting(AccSetting &set)
	{
		m_bCanceled = false;
		set = m_set;
	}
	LPCSTR GetAccount() const
	{ return m_set.acc.c_str(); }

private:
	void OnListDblClick(NMITEMACTIVATE* pNMIA);
	void OnClickAdd();
	void OnClickToggle();
	void OnClickDel();

	int GetCurSelect();
	void ToggleAutoJoin(int ich);
	void UpdateList();


// I[o[Ch
private:
	BOOL DlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam);
	BOOL InitDlgCtrl();
	BOOL GetDlgCtrlValue();
};
